[CaseDiagnosticTool]
DLL_ExInterface=1
SelfVersion=1


[Common]
ProductName=Trend Micro OfficeScan Client for Windows NT/2000/XP/Server 2003
MaxVersion=7.30
MinVersion=5.58
ProductVersion=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\Misc.\ProgramVer)
EngineVersion=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\Misc.\EngineZipVer)
InstallDateTime=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\InstDate) $(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\InstTime)

[Category1]
ProblemType=Basic Information
Events=1

[Category2]
ProblemType=Installation/Uninstallation/Hotfix Issue
Events=2,3,4

[Category3]
ProblemType=Connectivity Issue
Events=5

[Category4]
ProblemType=Scan Related Issue
Events=6,7,8

[Category5]
ProblemType=Enterprise Firewall Issue
Events=9

[Category6]
ProblemType=Update/Deployment Issue
Events=10

[Category7]
ProblemType=Crash/BSoD/Performance
Events=11,12

[Category8]
ProblemType=Compatibility
Events=13

[Category9]
ProblemType=Outbreak Prevention Policy
Events=14,15

[Category10]
ProblemType=Others Issues
Events=16,17,18

[Event1]
EventName=OSCE Clien tBasic Log & Information
EventFile=$(DebugLog1);$(Log40);$(Log41)
ModuleName=OSCEClient

[Event2]
EventName=Client Installation
EventFile=$(Log1);$(Log42);$(Log40)

[Event3]
EventName=Client Uninstallation
EventFile=$(Log1);$(Log42)

[Event4]
EventName=Hotfix Update
EventFile=$(Log21)

[Event5]
EventName=Client Connection To Server
EventFile=$(Log23)

[Event6]
EventName=Virus Related
EventFile=$(Log45);$(DebugLog2);$(Log43)
ModuleName=TmFilter

[Event7]
EventName=Spyware Related
EventFile=$(Log28);$(Log29);$(DebugLog2);;$(Log43)
ModuleName=TmFilter

[Event8]
EventName=TSC Related
EventFile=$(Log28);$(Log29);$(Log32)

[Event9]
EventName=Firewall Related
EventFile=$(Log30);$(Log31);$(Log22);$(Log26);$(Log27);$(PFW_Dump)
ModuleName=PFW

[Event10]
EventName=Client Update Related
EventFile=$(Log7)
ModuleName=AU

[Event11]
EventName=Client Performance Related
EventFile=$(Log2);$(Log5);$(Log6)

[Event12]
EventName=BSoD/Hang/Crash
EventFile=$(Log3);$(Log4)

[Event13]
EventName=Compatibility
EventFile=$(DebugLog1);$(DebugLog2)
Module=TmFilter;OSCEclient

[Event14]
EventName=Debug Port Blocking Driver
EventFile=$(Log11);$(Log30);$(Log31);$(Log22);$(Log26);$(Log27);$(PFW_Dump)
Module=PFW

[Event15]
EventName=Debug Deny Write Driver
EventFile=$(DebugLog2);$(Log11);$(Log12)
Module=TmFilter

[Event16]
EventName=POP3 Mail Scan
EventFile=$(Log13);$(Log14);$(Log15)
ModuleName=OSCEclient

[Event17]
EventName=ScanMail for Outlook
EventFile=$(Log16);$(Log17);$(Log18)

[Event18]
EventName=Wireless Protection
EventFile=$(DebugLog3);$(Log19)
ModuleName=WPM



[Variables]
HomeDir=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\Application Path)
RegRootKey=HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp

HomedirReg1=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\Wireless Protection Manager\ApplicationPath\SetupLog)
HomedirReg2=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\Wireless Protection Manager\ApplicationPath\AppLog)
HomeDirReg3=$(HKEY_LOCAL_MACHINE\SOFTWARE\CheckPoint\SecuRemote\5.0\PRODDIR)

DrWtsn32Path=$(HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\DrWatson\LogFilePath)
MemoryDump=$(HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\CrashControl\DumpFile)
UserDump=$(HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\DrWatson\CrashDumpFile)

DebugLog1=$(HomeDir)\OfcDebug.log
DebugLog2=$(WinDir)\Tmfilter.log
DebugLog3=$(HomeDirReg2)

;Please do not modify OSCE_DEBUG_LOG and PFW_DUMP, it is used by DLL extension interface
OSCE_DEBUG_LOG=$(HomeDir)\OfcDebug.log
;PFW_DUMP=Pre-defined in the DLL implementation, it is $(WinDir)\pfw_dump.txt
PFW_DUMP=$(WinDir)\Pfw_dump.txt

Log1=$(WinDir)\OfcNT.log
Log2=$(DrWtsn32Path)\DrWtsn32.log
Log3=$(UserDump)
Log4=$(MemoryDump)
Log5=$(systemdrive)\Documents and Settings\All Users\Documents\DrWatson\DrWtsn32.log
Log6=$(systemdrive)\Documents and Settings\All Users\Documents\DrWatson\user.dmp
Log7=$(HomeDir)\AU_Log\tmudump.txt
Log8=$(HomeDir)\Aubin\patchdmp.txt
Log9=$(WinDir)\Tmfilter.log
Log10=$(HomeDir)\_Tmopp.ini
Log11=$(HomeDir)\TmOppRestore.ini
Log12=$(HomeDir)\OppLog\Opplogs.log
Log13=$(HomeDir)\Pc-cillin.ini
Log14=$(systemdrive)\Pcc9.log  
Log15=$(HomeDir)\Pcc.log
Log16=$(HomeDir)\Update.ini
Log17=$(HomeDir)\SMOL.ini
Log18=$(HomeDir)\smoldbg.txt
Log19=$(HomeDirReg1)
Log20=$(HomeDirReg3)\policy\*.scv
Log21=$(HomeDir)\temp\Upgrade.log
Log22=$(systemdrive)\cfw_log.txt
Log23=$(HomeDir)\ConnLog\*.log
Log26=$(systemdrive)\tmpfw.log
Log27=$(winDir)\setupapi.log
Log28=$(HomeDir)\report\*.*
Log29=$(HomeDir)\debug\TSC*.log
Log30=$(HomeDir)\PFW\*.*
Log32=$(HomeDir)\TSC.ini



Log40=$(HomeDir)\ofcscan.ini
Log41=$(HomeDir)\setting.ini
Log42=$(WinDir)\Ofc95.log
Log43=$(HomeDir)\Misc\pccnt35.log
Log45=$(WinDir)\Filter32.log


